Subject: [Tigers] AC repop

From: Warren Goodman <[email-masked]>
Date: Tue, 8 Jul 2014 15:21:43 -0400 (EDT)

IDK if everyone has read about the AC air cleaner housing on CAT. I have a
proof that is very nice but not the finished product. I will be going to the
Central Coast British show in Oxnard  on the 20th. I have ended up being a
partner in the project, my first choice was to let CAT market the product but
that could not happen.  Our mfg guy has been making auto parts for some time
and would be a good contact for those considering MK2 wheel arch fab's.
_______________________________________________

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]